Subject: Re: [PATCH net-next v9 2/2] page_pool: Track DMA-mapped pages and unmap them when destroying the pool

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 12 Jun 2025 09:25:30 +0200

Jakub Kicinski <[email-masked]> writes:

> On Wed, 11 Jun 2025 09:35:45 -0700 Breno Leitao wrote:
>> On Wed, Apr 09, 2025 at 12:41:37PM +0200, Toke Høiland-Jørgensen wrote:
>> > Fixes: ff7d6b27f894 ("page_pool: refurbish version of page_pool code")  
>> 
>> Do you have plan to backport this fix to LTS kernels? I am getting some
>> of these crashes on older kernel, and I am curious if there are plans to
>> backport this to LTS kernels.
>
> I think it's worth disclosing that the crashes we see are in error
> recovery on unstable HW. My vote would be to keep this out of stable
> until it reaches at least one final release.

Hmm, okay, guess we should ask Sasha to drop these, then?

https://lore.kernel.org/r/[email-masked]
https://lore.kernel.org/r/[email-masked]

-Toke